<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanyBankDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_bank_details', function (Blueprint $table) {
            $table->id();
			$table->char('uuid', 36)->index()->unique();
			$table->integer('company_id')->index();
			$table->string('bik')->nullable();
			$table->string('bank')->nullable();
			$table->string('address')->nullable();
			$table->string('checking_account')->nullable();
			$table->string('correspondent_account')->nullable();
            $table->timestamps();
			$table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_bank_details');
    }
}
